<template>
  <v-card class="step">
    <v-container fluid>
      <v-row>
        <v-col cols="6">
          <v-row align="center">
            <v-col cols="7"  class="text-h5">T wave is symetric and inverted in chest leads (V1 - V6)</v-col>
            <v-col cols="1">
              <v-switch v-model="InvertedTSymetric"></v-switch>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $InvertedTSymetric
              </v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="7"  class="text-h5">Elevation of the ST segment</v-col>
            <v-col cols="1">
              <v-switch v-model="STelevation"></v-switch>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $STelevation
              </v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="7"  class="text-h5">ST segment depression</v-col>
            <v-col cols="1">
              <v-switch v-model="STdepression"></v-switch>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $STdepression
              </v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="7"  class="text-h5">A significant Q wave with a width of at least 1mm + depth of approximately one third of the
              amplitude of the QRS complex
            </v-col>
            <v-col cols="1">
              <v-switch v-model="SignificantQwave"></v-switch>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $SignificantQwave
              </v-icon>
            </v-col>
          </v-row>
        </v-col>
        <v-col cols="6">
          <v-alert class="text-h6" border="left" color="pink" dark v-for="item in stepConclusions('infarction')" :key="item.diagnosis">
            {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
          </v-alert>
        </v-col>
      </v-row>
    </v-container>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'Infarction',
  computed: {
    ...mapState(['InvertedTSymetric', 'STelevation', 'STdepression', 'SignificantQwave']),
    ...mapGetters([
      'stepConclusions',
    ]),
    InvertedTSymetric: {
      get() {
        return this.$store.state.InvertedTSymetric;
      },
      set(value) {
        this.$store.commit('setInvertedTSymetric', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    STelevation: {
      get() {
        return this.$store.state.STelevation;
      },
      set(value) {
        this.$store.commit('setSTelevation', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    STdepression: {
      get() {
        return this.$store.state.STdepression;
      },
      set(value) {
        this.$store.commit('setSTdepression', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    SignificantQwave: {
      get() {
        return this.$store.state.SignificantQwave;
      },
      set(value) {
        this.$store.commit('setSignificantQwave', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
};
</script>

<style scoped>

</style>
